// java wrapper for vtkOpenGLLightMonitor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLLightMonitor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLLightMonitor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLLightMonitor",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLLightMonitor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLLightMonitor *op;
  const char    *temp20;

  op = (vtkOpenGLLightMonitor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLLightMonitor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLLightMonitor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLLightMonitor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLLightMonitor_SetLightId_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLLightMonitor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLLightMonitor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLightId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLLightMonitor_GetLightId_13(JNIEnv *env, jobject obj)
{
  vtkOpenGLLightMonitor *op;
  int      temp20;

  op = (vtkOpenGLLightMonitor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLightId();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLLightMonitor_StateChanged_14(JNIEnv *env, jobject obj)
{
  vtkOpenGLLightMonitor *op;
  bool   temp20;

  op = (vtkOpenGLLightMonitor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->StateChanged();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLLightMonitor_Update_15(JNIEnv *env, jobject obj)
{
  vtkOpenGLLightMonitor *op;

  op = (vtkOpenGLLightMonitor *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLLightMonitor_SetEnabled_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLLightMonitor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLLightMonitor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLLightMonitor_SetSpotExponent_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkOpenGLLightMonitor *op;
  float    temp0;
  temp0 = id0;

  op = (vtkOpenGLLightMonitor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpotExponent(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLLightMonitor_SetSpotCutoff_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkOpenGLLightMonitor *op;
  float    temp0;
  temp0 = id0;

  op = (vtkOpenGLLightMonitor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpotCutoff(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLLightMonitor_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLLightMonitor *aNewOne = vtkOpenGLLightMonitor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
