// python wrapper for vtkSMPContourGridManyPieces
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMPContourGridManyPieces.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkSMPContourGridManyPieces(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkSMPContourGridManyPiecesNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkContourGridNew
extern "C" { PyObject *PyVTKClass_vtkContourGridNew(const char *); }
#define DECLARED_PyVTKClass_vtkContourGridNew
#endif

static const char **PyvtkSMPContourGridManyPieces_Doc();


static PyObject *
PyvtkSMPContourGridManyPieces_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPContourGridManyPieces *op = static_cast<vtkSMPContourGridManyPieces *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkSMPContourGridManyPieces::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPContourGridManyPieces_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPContourGridManyPieces *op = static_cast<vtkSMPContourGridManyPieces *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkSMPContourGridManyPieces::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPContourGridManyPieces_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPContourGridManyPieces *op = static_cast<vtkSMPContourGridManyPieces *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkSMPContourGridManyPieces *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkSMPContourGridManyPieces::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMPContourGridManyPieces_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkSMPContourGridManyPieces *tempr = vtkSMPContourGridManyPieces::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMPContourGridManyPieces_Methods[] = {
  {(char*)"GetClassName", PyvtkSMPContourGridManyPieces_GetClassName, METH_VARARGS,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMPContourGridManyPieces_IsA, METH_VARARGS,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMPContourGridManyPieces_NewInstance, METH_VARARGS,
   (char*)"V.NewInstance() -> vtkSMPContourGridManyPieces\nC++: vtkSMPContourGridManyPieces *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMPContourGridManyPieces_SafeDownCast, METH_VARARGS | METH_STATIC,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPContourGridManyPieces\nC++: vtkSMPContourGridManyPieces *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMPContourGridManyPieces_StaticNew()
{
  return vtkSMPContourGridManyPieces::New();
}

PyObject *PyVTKClass_vtkSMPContourGridManyPiecesNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMPContourGridManyPieces_StaticNew,
    PyvtkSMPContourGridManyPieces_Methods,
    "vtkSMPContourGridManyPieces", modulename,
    NULL, NULL,
    PyvtkSMPContourGridManyPieces_Doc(),
    PyVTKClass_vtkContourGridNew(modulename));
  return cls;
}

const char **PyvtkSMPContourGridManyPieces_Doc()
{
  static const char *docstring[] = {
    "vtkSMPContourGridManyPieces - a subclass of vtkContourGrid that works\nin parallel\n\n",
    "Superclass: vtkContourGrid\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMPContourGridManyPieces(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMPContourGridManyPiecesNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMPContourGridManyPieces", o) != 0)
    {
    Py_DECREF(o);
    }

}

