// java wrapper for vtkSurfaceLICPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSurfaceLICPainter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPainter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSurfaceLICPainter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSurfaceLICPainter",dType)) { return me; }
  if ((res= vtkPainter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSurfaceLICPainter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  const char    *temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSurfaceLICPainter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_ReleaseGraphicsResources_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSurfaceLICPainter *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSurfaceLICPainter_GetOutput_13(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  vtkDataObject  *temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetEnable_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnable(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetEnable_15(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnable();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetEnableOn_16(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetEnableOff_17(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetInputArrayToProcess_18(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArrayToProcess(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetInputArrayToProcess_19(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArrayToProcess(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetNumberOfSteps_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSteps(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetNumberOfSteps_111(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSteps();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetStepSize_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStepSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetStepSize_113(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStepSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetNormalizeVectors_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormalizeVectors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_NormalizeVectorsOn_115(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalizeVectorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_NormalizeVectorsOff_116(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalizeVectorsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetNormalizeVectors_117(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalizeVectors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetMaskOnSurface_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskOnSurface(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_MaskOnSurfaceOn_119(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->MaskOnSurfaceOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_MaskOnSurfaceOff_120(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->MaskOnSurfaceOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetMaskOnSurface_121(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskOnSurface();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetMaskThreshold_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetMaskThreshold_123(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetMaskColor_124(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSurfaceLICPainter_GetMaskColor_125(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double  *temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetMaskIntensity_126(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskIntensity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetMaskIntensity_127(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskIntensity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetEnhancedLIC_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnhancedLIC(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetEnhancedLIC_129(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnhancedLIC();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_EnhancedLICOn_130(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->EnhancedLICOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_EnhancedLICOff_131(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->EnhancedLICOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetEnhanceContrast_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnhanceContrast(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetEnhanceContrast_133(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnhanceContrast();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetLowLICContrastEnhancementFactor_134(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLowLICContrastEnhancementFactor();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetHighLICContrastEnhancementFactor_135(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHighLICContrastEnhancementFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetLowLICContrastEnhancementFactor_136(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLowLICContrastEnhancementFactor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetHighLICContrastEnhancementFactor_137(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHighLICContrastEnhancementFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetLowColorContrastEnhancementFactor_138(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLowColorContrastEnhancementFactor();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetHighColorContrastEnhancementFactor_139(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHighColorContrastEnhancementFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetLowColorContrastEnhancementFactor_140(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLowColorContrastEnhancementFactor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetHighColorContrastEnhancementFactor_141(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHighColorContrastEnhancementFactor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetAntiAlias_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAntiAlias(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_AntiAliasOn_143(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->AntiAliasOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_AntiAliasOff_144(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->AntiAliasOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetAntiAlias_145(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAntiAlias();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetColorMode_146(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetColorMode_147(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetLICIntensity_148(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLICIntensity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetLICIntensity_149(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLICIntensity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetMapModeBias_150(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMapModeBias(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetMapModeBias_151(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMapModeBias();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetNoiseDataSet_152(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSurfaceLICPainter *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNoiseDataSet(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSurfaceLICPainter_GetNoiseDataSet_153(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  vtkImageData  *temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNoiseDataSet();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetGenerateNoiseTexture_154(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateNoiseTexture(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetGenerateNoiseTexture_155(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateNoiseTexture();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetNoiseType_156(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNoiseType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetNoiseType_157(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNoiseType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetNoiseTextureSize_158(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNoiseTextureSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetNoiseTextureSize_159(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNoiseTextureSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetNoiseGrainSize_160(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNoiseGrainSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetNoiseGrainSize_161(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNoiseGrainSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetMinNoiseValue_162(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinNoiseValue(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetMaxNoiseValue_163(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxNoiseValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetMinNoiseValue_164(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinNoiseValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetMaxNoiseValue_165(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNoiseValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetNumberOfNoiseLevels_166(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfNoiseLevels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetNumberOfNoiseLevels_167(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfNoiseLevels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetImpulseNoiseProbability_168(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImpulseNoiseProbability(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetImpulseNoiseProbability_169(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImpulseNoiseProbability();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetImpulseNoiseBackgroundValue_170(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImpulseNoiseBackgroundValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetImpulseNoiseBackgroundValue_171(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImpulseNoiseBackgroundValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetNoiseGeneratorSeed_172(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNoiseGeneratorSeed(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetNoiseGeneratorSeed_173(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNoiseGeneratorSeed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetCompositeStrategy_174(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompositeStrategy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetCompositeStrategy_175(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompositeStrategy();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSurfaceLICPainter_IsSupported_176(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSurfaceLICPainter *op;
  vtkRenderWindow  *temp0;
  bool   temp20;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsSupported(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_WriteTimerLog_177(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSurfaceLICPainter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteTimerLog(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSurfaceLICPainter_VTKInit(JNIEnv *, jobject)
{
  vtkSurfaceLICPainter *aNewOne = vtkSurfaceLICPainter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
