// java wrapper for vtkOpenGLModelViewProjectionMonitor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLModelViewProjectionMonitor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLModelViewProjectionMonitor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLModelViewProjectionMonitor",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLModelViewProjectionMonitor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLModelViewProjectionMonitor *op;
  const char    *temp20;

  op = (vtkOpenGLModelViewProjectionMonitor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLModelViewProjectionMonitor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLModelViewProjectionMonitor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLModelViewProjectionMonitor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLModelViewProjectionMonitor_StateChanged_12(JNIEnv *env, jobject obj)
{
  vtkOpenGLModelViewProjectionMonitor *op;
  bool   temp20;

  op = (vtkOpenGLModelViewProjectionMonitor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->StateChanged();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLModelViewProjectionMonitor_Update_13(JNIEnv *env, jobject obj)
{
  vtkOpenGLModelViewProjectionMonitor *op;

  op = (vtkOpenGLModelViewProjectionMonitor *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLModelViewProjectionMonitor_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLModelViewProjectionMonitor *aNewOne = vtkOpenGLModelViewProjectionMonitor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
