// java wrapper for vtkRenderbuffer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderbuffer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderbuffer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderbuffer",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderbuffer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderbuffer *op;
  const char    *temp20;

  op = (vtkRenderbuffer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderbuffer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderbuffer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderbuffer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderbuffer_IsSupported_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderbuffer *op;
  vtkRenderWindow  *temp0;
  bool   temp20;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderbuffer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsSupported(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderbuffer_GetHandle_13(JNIEnv *env, jobject obj)
{
  vtkRenderbuffer *op;
   unsigned int      temp20;

  op = (vtkRenderbuffer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderbuffer_SetContext_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderbuffer *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderbuffer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetContext(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderbuffer_GetContext_15(JNIEnv *env, jobject obj)
{
  vtkRenderbuffer *op;
  vtkRenderWindow  *temp20;

  op = (vtkRenderbuffer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContext();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderbuffer_CreateColorAttachment_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderbuffer *op;
   unsigned int      temp0;
   unsigned int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderbuffer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateColorAttachment(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderbuffer_CreateDepthAttachment_17(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderbuffer *op;
   unsigned int      temp0;
   unsigned int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderbuffer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateDepthAttachment(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderbuffer_Create_18(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkRenderbuffer *op;
   unsigned int      temp0;
   unsigned int      temp1;
   unsigned int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkRenderbuffer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Create(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRenderbuffer_VTKInit(JNIEnv *, jobject)
{
  vtkRenderbuffer *aNewOne = vtkRenderbuffer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
