// java wrapper for vtkTreeHeatmapItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeHeatmapItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeHeatmapItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeHeatmapItem",dType)) { return me; }
  if ((res= vtkContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeHeatmapItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeHeatmapItem *op;
  const char    *temp20;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeHeatmapItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeHeatmapItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_SetTree_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeHeatmapItem *op;
  vtkTree  *temp0;
  temp0 = (vtkTree *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTree(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeHeatmapItem_GetTree_13(JNIEnv *env, jobject obj)
{
  vtkTreeHeatmapItem *op;
  vtkTree  *temp20;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTree();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_SetColumnTree_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeHeatmapItem *op;
  vtkTree  *temp0;
  temp0 = (vtkTree *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColumnTree(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeHeatmapItem_GetColumnTree_15(JNIEnv *env, jobject obj)
{
  vtkTreeHeatmapItem *op;
  vtkTree  *temp20;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumnTree();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_SetTable_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeHeatmapItem *op;
  vtkTable  *temp0;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeHeatmapItem_GetTable_17(JNIEnv *env, jobject obj)
{
  vtkTreeHeatmapItem *op;
  vtkTable  *temp20;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_ReorderTable_18(JNIEnv *env, jobject obj)
{
  vtkTreeHeatmapItem *op;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->ReorderTable();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_ReverseTableRows_19(JNIEnv *env, jobject obj)
{
  vtkTreeHeatmapItem *op;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseTableRows();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_ReverseTableColumns_110(JNIEnv *env, jobject obj)
{
  vtkTreeHeatmapItem *op;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseTableColumns();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_SetOrientation_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkTreeHeatmapItem *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeHeatmapItem_GetOrientation_112(JNIEnv *env, jobject obj)
{
  vtkTreeHeatmapItem *op;
  int      temp20;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_GetBounds_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTreeHeatmapItem *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_GetCenter_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTreeHeatmapItem *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_GetSize_115(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTreeHeatmapItem *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->GetSize(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_CollapseToNumberOfLeafNodes_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkTreeHeatmapItem *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->CollapseToNumberOfLeafNodes(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeHeatmapItem_GetTreeLineWidth_117(JNIEnv *env, jobject obj)
{
  vtkTreeHeatmapItem *op;
  float    temp20;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTreeLineWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_SetTreeLineWidth_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeHeatmapItem *op;
  float    temp0;
  temp0 = id0;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTreeLineWidth(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeHeatmapItem_GetPrunedTree_119(JNIEnv *env, jobject obj)
{
  vtkTreeHeatmapItem *op;
  vtkTree  *temp20;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPrunedTree();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_SetTreeColorArray_120(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeHeatmapItem *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTreeColorArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTreeHeatmapItem_VTKInit(JNIEnv *, jobject)
{
  vtkTreeHeatmapItem *aNewOne = vtkTreeHeatmapItem::New();
  return (jlong)(size_t)(void*)aNewOne;
}
